aboutsummaryrefslogtreecommitdiffstats
path: root/travis/setup-database.sh
diff options
context:
space:
mode:
authorJoas Schilling <nickvergessen@gmx.de>2014-05-02 16:34:01 +0200
committerJoas Schilling <nickvergessen@gmx.de>2014-05-03 10:43:39 +0200
commit5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b (patch)
treec9da2b5214104d20139641e187b16369a74b1ee1 /travis/setup-database.sh
parentacf95247108c456b14bb95483a449f2ee7bd72b9 (diff)
downloadforums-5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b.tar
forums-5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b.tar.gz
forums-5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b.tar.bz2
forums-5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b.tar.xz
forums-5cef3254f71f2b0f06c98a4b18a5fc2a23bbac7b.zip
[ticket/12470] Move setup of database to new .sh
PHPBB3-12470
Diffstat (limited to 'travis/setup-database.sh')
-rwxr-xr-xtravis/setup-database.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/travis/setup-database.sh b/travis/setup-database.sh
new file mode 100755
index 0000000000..c1917042cd
--- /dev/null
+++ b/travis/setup-database.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# @copyright (c) 2014 phpBB Group
+# @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
+#
+set -e
+set -x
+
+DB=$1
+TRAVIS_PHP_VERSION=$2
+
+if [ "$DB" == "postgres" ]
+then
+ psql -c 'DROP DATABASE IF EXISTS phpbb_tests;' -U postgres
+ psql -c 'create database phpbb_tests;' -U postgres
+fi
+
+if [ "$TRAVIS_PHP_VERSION" == "5.3" -a "$DB" == "mysql" ]
+then
+ mysql -e 'SET GLOBAL storage_engine=MyISAM;'
+fi
+
+if [ "$DB" == "mysql" -o "$DB" == "mariadb" ]
+then
+ mysql -e 'create database IF NOT EXISTS phpbb_tests;'
+fi